Linux不能执行configure怎么办

2022年6月12日 34点热度 0人点赞

Linux不能执行configure是因为缺少依赖的库,可以重新安装新的库来解决。解决方法:1、利用“yum install -y PCRE”语句安装pcre库,pcre是一个轻量级的perl函数库;2、利用“yum install -y pcre-devel”语句安装“pcre-devel”库即可。

Linux不能执行configure怎么办插图

本教程操作环境:linux7.3系统、Dell G3电脑。

Linux不能执行configure怎么办

在linux中,命令无效的最大可能性应该就是缺少依赖的库,所以如果某个命令无效可以尝试重新安装一下新的库

在使用configure遇到错误,提示缺少pcre的库,然后安装了pcre和pcre-devel两个库之后,编译就正常了。

1、安装pcre库

33.png

2、安装pcre-devel库

34.png

扩展知识:

PCRE(Perl Compatible Regular Expressions)是一个轻量级的Perl函数库,包括 perl 兼容的正则表达式库。它比Boost之类的正则表达式库小得多。PCRE十分易用,同时功能也很强大,性能超过了POSIX正则表达式库和一些经典的正则表达式库。

'configure'脚本有大量的命令行选项.对不同的软件包来说,这些选项可能会有变化,但是许多基本的选项是不会改变的.带上'--help'选项执行'configure'脚本可以看到可用的所有选项.尽管许多选项是很少用到的,但是当你为了特殊的需求而configure一个包时,知道他们的存在是很有益处的.下面对每一个选项进行简略的介绍:

--cache-file=FILE

'configure'会在你的系统上测试存在的特性(或者bug!).为了加速随后进行的配置,测试的结果会存储在一个cache file里.当configure的每一个子树里都有'configure'脚本的复杂的源码树时,一个很好的cache file的存在会有很大帮助.

--help

输出帮助信息.即使是有经验的用户也偶尔需要使用使用'--help'选项,因为一个复杂的项目会包含附加的选项.例如,GCC包里的'configure'脚本就包含了允许你控制是否生成和在GCC中使用GNU汇编器的选项.

--no-create

'configure'中的一个主要函数会制作输出文件.此选项阻止'configure'生成这个文件.你可以认为这是一种演习(dry run),尽管缓存(cache)仍然被改写了.

推荐学习:Linux视频教程

99君

这个人很懒,什么都没留下